# Global

##

### Methods

#### alert(title, text, callbackOk) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`title` | type |
`text` | type |
`callbackOk` | type |

##### Returns:

Type
  type

#### beforeReady(fn) → {M_.App}

##### Parameters:

Name | Type | Description
--- | --- | ---
`fn` | function |

##### Returns:

Type
  M_.App

#### confirm(title, text, callbackOk, callbackCancel) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`title` | type |
`text` | type |
`callbackOk` | type |
`callbackCancel` | type |

##### Returns:

Type
  type

#### create(opts)

To document

##### Parameters:

Name | Type | Description
--- | --- | ---
`opts` | type |

#### notify(text, position, time, callbackClose)

alert user

##### Parameters:

Name | Type | Default | Description
--- | --- | --- | ---
`text` | string |  |
`position` | string | top |
`time` | Number |  | number of milliseconds
`callbackClose` | function |  |

#### open(module, action) → {M_.App}

Open a page

##### Parameters:

Name | Type | Description
--- | --- | ---
`module` | string |
`action` | string |

##### Returns:

Type
  M_.App

#### ready(fn) → {M_.App}

##### Parameters:

Name | Type | Description
--- | --- | ---
`fn` | function |

##### Returns:

Type
  M_.App

#### renderMustache(tpl, tplData) → {string}

##### Parameters:

Name | Type | Description
--- | --- | ---
`tpl` | JSTemplate |
`tplData` | Object |

##### Returns:

Type
  string

#### renderMustacheTo(container, tpl, tplData) → {jQuery}

##### Parameters:

Name | Type | Description
--- | --- | ---
`container` | jQuery |
`tpl` | JSTemplate |
`tplData` | Object |

##### Returns:

Type
  jQuery

#### resize() → {M_.App}

To document

##### Returns:

Type
  M_.App